Spree Admin SDK
Show a staff member
Required scope: read_staff (for API-key authentication).
GET
Spree Admin SDK
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const staff = await client.adminUsers.get('admin_xxx')spree api get /admin_users/{id}{
"id": "adm_UkLWZg9DAJ",
"email": "karin_boyer@ebert.co.uk",
"first_name": "Lynell",
"last_name": "Heaney",
"full_name": "Lynell Heaney",
"selected_locale": null,
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"avatar_url": null,
"roles": [
{
"id": "role_UkLWZg9DAJ",
"name": "admin"
}
],
"stores": [
{
"id": "store_UkLWZg9DAJ",
"name": "Spree Test Store",
"code": "spree_1"
}
]
}Required scope: read_staff (for API-key authentication).
import { createAdminClient } from '@spree/admin-sdk'
const client = createAdminClient({
baseUrl: 'https://your-store.com',
secretKey: 'sk_xxx',
})
const staff = await client.adminUsers.get('admin_xxx')spree api get /admin_users/{id}{
"id": "adm_UkLWZg9DAJ",
"email": "karin_boyer@ebert.co.uk",
"first_name": "Lynell",
"last_name": "Heaney",
"full_name": "Lynell Heaney",
"selected_locale": null,
"created_at": "2026-01-15T12:00:00.000Z",
"updated_at": "2026-01-15T12:00:00.000Z",
"avatar_url": null,
"roles": [
{
"id": "role_UkLWZg9DAJ",
"name": "admin"
}
],
"stores": [
{
"id": "store_UkLWZg9DAJ",
"name": "Spree Test Store",
"code": "spree_1"
}
]
}Was this page helpful?
